<View::Base::SourceRecord
  @path={{@path}}
  @onLoad={{this.setup}}
  @model={{@model}}
  @value={{@value}}
  @isEditor={{@isEditor}}
  class="page-col-feature-issue-button"
>
  <div
    class="d-none"
    data-path="{{@path}}.data.button"
    data-type="issue type"
    data-name={{@value.name}}
    data-gid={{@value.gid}}
    data-editor="feature/issue-button"
    {{on "props-update" this.updateButtonProps}}
  ></div>

  <TextWithOptions
    @options={{@value.data.link}}
    @space={{@space}}
    @to={{this.link}}
    @tag="a"
    @isEditor={{@isEditor}}
    data-path="{{@path}}.data.link"
    data-type="link style"
    data-name={{@value.name}}
    data-gid={{@value.gid}}
  >
    {{t this.text}}
  </TextWithOptions>
</View::Base::SourceRecord>